Ticket #35010

Unexpected SSH2 message(80)エラー

Open Date: 2015-03-25 00:39 Last Update: 2015-05-31 13:59

Reporter:
(del#24082)
Owner:
(del#24082)
Type:
Status:
Closed
Component:
Priority:
5 - Medium
Severity:
5 - Medium
Resolution:
Fixed
File:
None
Vote
Score: 0
No votes
0.0% (0/0)
0.0% (0/0)

Details

http://logmett.com/forum/viewtopic.php?f=2&t=2447

組み込みLinuxへの接続が失敗するとのことです。 エラーログを見ると、 47.Sun Mar 22 20:15:32.605 2015 4328 Unexpected SSH2 message(80) on current stage(6) と出ているので、最近のOpenSSHで追加された"SSH2_MSG_GLOBAL_REQUEST"に対応できていないと 考えています。

Tera Term(TTSSH)が未対応のメッセージが来た場合、現状エラーダイアログを出すようにしていますが、 OpenSSHに倣って、黙って SSH2_MSG_UNIMPLEMENTED を返すようにもしておこうと思います。

Ticket History (3/5 Histories)

2015-03-25 00:39 Updated by: (del#24082)
  • New Ticket "Unexpected SSH2 message(80)エラー" created
2015-03-25 13:35 Updated by: (del#1144)
Comment

単に無視して問題ない場合と、そうでない(切断しなければいけない)場合があるような気がします。

また、バグ扱いされる可能性があるので、無視した場合にはTTSSH.LOGに残るようにしておくとよいと思います。

2015-04-05 16:46 Updated by: (del#24082)
Comment

Revision: 5829 で、エラーが出ないようにしました。 エラーダイアログの出現方法に関しては、本チケットとは別の話なので、 別途考えることにします。

2015-04-05 16:53 Updated by: (del#24082)
  • Resolution Update from None to Fixed
2015-05-31 13:59 Updated by: (del#24082)
  • Ticket Close date is changed to 2015-05-31 13:59
  • Status Update from Open to Closed

Attachment File List

No attachments

Edit

You are not logged in. I you are not logged in, your comment will be treated as an anonymous post. » Login